HeapSort (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.util, class: HeapSort

Package org.apache.hadoop.util

# Class HeapSort

java.lang.Object
org.apache.hadoop.util.HeapSort

All Implemented Interfaces:
  `IndexedSorter`

@Private @Unstable public final class HeapSort extends Object implements IndexedSorter
An implementation of the core algorithm of HeapSort.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeapSort()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `sort(IndexedSortable s, int p, int r)`
  Sort the given range of items using heap sort.
  `void`
  `sort(IndexedSortable s, int p, int r, Progressable rep)`
  Same as `IndexedSorter.sort(IndexedSortable,int,int)`, but indicate progress periodically.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeapSort

    public HeapSort()

- ## Method Details

  - ### sort

    public void sort(IndexedSortable s, int p, int r)
    Sort the given range of items using heap sort. Sort the items accessed through the given IndexedSortable over the given range of logical indices. From the perspective of the sort algorithm, each index between l (inclusive) and r (exclusive) is an addressable entry.
    Specified by:
      `sort` in interface `IndexedSorter`
    Parameters:
      `s` - s.
      `p` - l.
      `r` - r.
    See Also:
      - `IndexedSortable.compare(int, int)`
      - `IndexedSortable.swap(int, int)`

  - ### sort

    public void sort(IndexedSortable s, int p, int r, Progressable rep)
    Description copied from interface: `IndexedSorter`
    Same as `IndexedSorter.sort(IndexedSortable,int,int)`, but indicate progress periodically.
    Specified by:
      `sort` in interface `IndexedSorter`
    Parameters:
      `s` - s.
      `p` - l.
      `r` - r.
      `rep` - rep.
    See Also:
      - `IndexedSorter.sort(IndexedSortable,int,int)`